TaliwareTaliware Developer

CL2C Swagger reference

Choose an endpoint, enter its required values, and inspect or send a real API request.

OpenAPI 3.0.3 · Swagger format

View or download the OpenAPI specification

21 endpoints
Complete endpoint URL
puthttps://developer.taliware.com/api/v1/cl2c/contract/{id}

Deploy smart contract (trigger on-chain deploy)

Triggers on-chain contract deployment for the specified contract record. Only works if the contract is not already deployed.

PUT
/cl2c/contract/{id}
x-api-key<token>

In: header

Path Parameters

idstring

The ID of the contract to deploy

Response Body

curl -X PUT "https://developer.taliware.com/api/v1/cl2c/contract/string"
{
  "id": "string",
  "name": "string",
  "symbol": "string",
  "description": "string",
  "network": "string",
  "env": "string",
  "status": "CREATED",
  "contractAddress": "string",
  "deployedAt": "2019-08-24T14:15:22Z",
  "metadata": {},
  "totalNFTs": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer